Skip to main content
PATCH
https://api-zangtable.com
/
projects
/
{project}
/
table
/
{table_id_or_name}
PATCH /projects/{project}/table/{table_id_or_name}
curl --request PATCH \
  --url https://api-zangtable.com/projects/{project}/table/{table_id_or_name} \
  --header 'Authorization: <authorization>'
{
  "ok": true,
  "data": {},
  "error": {},
  "request_id": "<string>"
}
Updates table metadata.

Endpoint details

Authorization
string
required
Bearer pat_... (Project API Token). Keep this token on your backend/server.
project
string
required
Project slug. This acts as the Project ID in API paths.
table_id_or_name
string
required
Table numeric id or table name.
ok
boolean
required
true for a successful response and false for an error response.
data
object | null
Endpoint-specific response data when ok is true; null on errors.
error
object | null
Error code and message when ok is false; null on success.
request_id
string
required
Request identifier you can use when troubleshooting a specific API call.

Authentication

Project API Token.

Parameters

Path: table_id_or_name table numeric ID or table name. Body: display_name optional string or null.

Request examples

Basic request:
curl -X PATCH "$BASE_URL/projects/{project}/table/{table_id_or_name}" \
  -H 'Authorization: Bearer pat_PROJECT_TOKEN' \
  -H 'Content-Type: application/json' \
  --data '{"display_name":"Contacts"}'
Full request:
curl -X PATCH "$BASE_URL/projects/{project}/table/{table_id_or_name}" \
  -H 'Authorization: Bearer pat_PROJECT_TOKEN' \
  -H 'Content-Type: application/json' \
  -H 'X-Operation-Key: edit-profile-email' \
  -H 'X-Operation-Run-Id: oprun_client_20260602_001' \
  --data '{"display_name":"Sales Contacts"}'

Response examples

Success:
{
  "ok": true,
  "data": {
    "table": {
      "id": 1,
      "table_name": "contacts",
      "display_name": "Sales Contacts",
      "created_at": "2026-06-02T01:00:00Z",
      "updated_at": "2026-06-02T01:23:45Z"
    }
  },
  "error": null,
  "request_id": "req_20260602T012345_123456Z_abc123def456",
  "operation_key": "edit-profile-email",
  "operation_run_id": "oprun_20260602T012300_000000Z_a1b2c3d4e5f6",
  "operation_grouping_status": "accepted_provided_run",
  "meta": {
    "generated_at": "2026-06-02T01:23:45Z"
  }
}
Error or alternate response:
{
  "ok": false,
  "data": null,
  "error": {
    "code": "table_not_found",
    "message": "Table was not found in the project."
  },
  "request_id": "req_20260602T012345_123456Z_abc123def456",
  "meta": {
    "generated_at": "2026-06-02T01:23:45Z"
  }
}